Do you need any help?

Chiarimenti su HW8 di Recupero-Immagine di Output [poll]

S
Salvatore Corica (310 points)
0 1 4
asked Jan 4 in HW8 di recupero by Salvatore Corica (310 points)
Salve a tutti!

Sto facendo l'HW8 di recupero e la traccia mi chiede di salvare un'immagine, che dovrebbe essere una lista di liste con delle tuple dentro, ma guardando nei file vedo che bisogna resistuire una lista di liste, ma nessuna tupla.

Cosa devo fare?

Grazie mille :)
Choices:
salvatore.corica@gmx.de

1 Answer

iacopomasi (2120 points)
10 15 29
answered Jan 4 by iacopomasi (2,120 points)

Salve @Salvatore Corica ,

quello che e' necessario fare e' salvare un'immagine finale di output tramite la funzione `images.save` contenuta nel modulo (images). Save prende in ingresso un'immagine codificata come lista di lista di tuple RGB dove ogni tupla indica un colore nello spazio RGB. Piu' in dettaglio, quello che conta e' che l'immagine prodotta dal codice sia uguale all'immagine di ground-truth (o immagine attesa), secondo quanto chiesto dall'HW. I file .json sono stati solamente inseriti per faciliare il vostro debug ed accedere ad informazioni utili.

Spero chiarisca,

Un caro saluto,

iacopo 

S
Salvatore Corica (310 points)
0 1 4
commented Jan 4 by Salvatore Corica (310 points)
Grazie mille prof :)
e
efab (220 points)
1 2 5
commented Mar 1 by efab (220 points)

Buonasera a tutti

Qualcuno sta avendo problemi a salvare usando images.save ?  

In un programma di prova images.save salva senza problemi usando questa formattazione:

images.save(lista, r'C:\Users\ENRICO\Documents\Fondamenti di Programmazione\HOMEWORKS\HW 8 DI RECUPERO 2020\HW8rec\immagine.png')

o anche questa:

images.save(lista, 'img.png')

Invece nel programma finale (che sto sottoponendo ai test) ricevo il messaggio di errore qui sotto.  

Grazie  

Enrico

Traceback (most recent call last):
  File "C:\Users\ENRICO\Documents\Fondamenti di Programmazione\HOMEWORKS\HW 8 DI RECUPERO 2020\HW8rec\png.py", line 1273, in save
    file.write
AttributeError: 'str' object has no attribute 'write'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\ENRICO\Anaconda3\lib\site-packages\ddt.py", line 145, in wrapper
    return func(self, *args, **kwargs)
  File "C:/Users/ENRICO/Documents/Fondamenti di Programmazione/HOMEWORKS/HW 8 DI RECUPERO 2020/HW8rec/test_01.py", line 158, in test_data
    doRecursionTest=check_rec)
  File "C:/Users/ENRICO/Documents/Fondamenti di Programmazione/HOMEWORKS/HW 8 DI RECUPERO 2020/HW8rec/test_01.py", line 46, in do_test
    result   = program.ex1(input_file, output_file)
  File "C:\Users\ENRICO\Documents\Fondamenti di Programmazione\HOMEWORKS\HW 8 DI RECUPERO 2020\HW8rec\program01.py", line 296, in ex1
    num_rect = main(immagine1)
  File "C:\Users\ENRICO\Documents\Fondamenti di Programmazione\HOMEWORKS\HW 8 DI RECUPERO 2020\HW8rec\program01.py", line 283, in main
    images.save(lista, r'C:\Users\ENRICO\Documents\Fondamenti di Programmazione\HOMEWORKS\HW 8 DI RECUPERO 2020\HW8rec\img.png')
  File "C:\Users\ENRICO\Documents\Fondamenti di Programmazione\HOMEWORKS\HW 8 DI RECUPERO 2020\HW8rec\images.py", line 30, in save
    pngimg.save(filename)
  File "C:\Users\ENRICO\Documents\Fondamenti di Programmazione\HOMEWORKS\HW 8 DI RECUPERO 2020\HW8rec\png.py", line 1276, in save
    file = open(file, 'wb')
  File "C:\Users\ENRICO\Documents\Fondamenti di Programmazione\HOMEWORKS\HW 8 DI RECUPERO 2020\HW8rec\testlib.py", line 55, in _check_open
    raise ForbiddenError(f"It's forbidden to open file '{filename}'")
testlib.ForbiddenError: It's forbidden to open file 'C:\Users\ENRICO\Documents\Fondamenti di Programmazione\HOMEWORKS\HW 8 DI RECUPERO 2020\HW8rec\img.png'

----------------------------------------------------------------------
Ran 23 tests in 13.602s

FAILED (errors=23)
23 test passed, 0 tests failed

 

 

andrea.sterbini (160900 points)
448 849 1643
commented Mar 1 by andrea.sterbini (160,900 points)
Devi salvare l'immagine nel file il cui nome ti viene fornito come argomento. I test controllano che tu non usi altri file e lanciano un errore.

Per disattivare questi controlli setta DEBUG=True nel file test_01.py
e
efab (220 points)
1 2 5
commented Mar 1 by efab (220 points)
Grazie professore